<?php

return array(

	////////////////////////////////////////
	// Localized JS Message Configuration //
	////////////////////////////////////////

	/**
	 * Validation Messages
	 */
	'validation' => array(
		'alphabet'     => esc_attr__('Value needs to be Alphabet', 'buildme'),
		'alphanumeric' => esc_attr__('Value needs to be Alphanumeric', 'buildme'),
		'numeric'      => esc_attr__('Value needs to be Numeric', 'buildme'),
		'email'        => esc_attr__('Value needs to be Valid Email', 'buildme'),
		'url'          => esc_attr__('Value needs to be Valid URL', 'buildme'),
		'maxlength'    => esc_attr__('Length needs to be less than {0} characters', 'buildme'),
		'minlength'    => esc_attr__('Length needs to be more than {0} characters', 'buildme'),
		'maxselected'  => esc_attr__('Select no more than {0} items', 'buildme'),
		'minselected'  => esc_attr__('Select at least {0} items', 'buildme'),
		'required'     => esc_attr__('This is required', 'buildme'),
	),

	/**
	 * Import / Export Messages
	 */
	'util' => array(
		'import_success'    => esc_attr__('Import succeed, option page will be refreshed..', 'buildme'),
		'import_failed'     => esc_attr__('Import failed', 'buildme'),
		'export_success'    => esc_attr__('Export succeed, copy the JSON formatted options', 'buildme'),
		'export_failed'     => esc_attr__('Export failed', 'buildme'),
		'restore_success'   => esc_attr__('Restoration succeed, option page will be refreshed..', 'buildme'),
		'restore_nochanges' => esc_attr__('Options identical to default', 'buildme'),
		'restore_failed'    => esc_attr__('Restoration failed', 'buildme'),
	),

	/**
	 * Control Fields String
	 */
	'control' => array(
		// select2 select box
		'select2_placeholder' => esc_attr__('Select option(s)', 'buildme'),
		// fontawesome chooser
		'fac_placeholder'     => esc_attr__('Select an Icon', 'buildme'),
	),

);

/**
 * EOF
 */