		<?php 
			if(!$ozy_data->hide_everything_but_content) {			
			$CURRENT_LANGUAGE = str_replace('_', '', $ozy_data->wpml_current_language_);
		?>
            <div id="header" class="menu-align-<?php echo esc_attr($ozy_data->menu_align);?>">
            	<div id="info-bar" class="content-font">
                	<div>
						<?php
                            $top_info_bar = ozy_get_option('top_nav_info' . $CURRENT_LANGUAGE);
                            if($top_info_bar) echo '<i class="'. ozy_get_option('top_nav_info_icon' . $CURRENT_LANGUAGE) .'"></i>&nbsp;<span>' . $top_info_bar . '</span>';
                        ?>
                        <div class="top-social-icons">
                        <?php
							$ozyHelper->wpml_language_switcher();
                            $ozyHelper->social_icons('-top');
                        ?>
                        </div>             
                    </div>
                </div>
                <div id="top-search" class="clearfix search-input-unfold">
                    <form action="<?php echo home_url(); ?>/" method="get" class="wp-search-form">
                        <i class="oic-pe-icon-7-stroke-24"></i>
                        <input type="text" name="s" id="search" autocomplete="off" placeholder="<?php echo get_search_query() == '' ? esc_attr__('Type and hit Enter', 'buildme') : get_search_query() ?>" />
                        <i class="oic-pe-icon-7-stroke-139" id="ozy-close-search"></i>
                    </form>
                </div><!--#top-search-->
                <header>
                    <nav id="top-menu" class="<?php echo esc_attr($ozy_data->device_type !== 'computer' ? 'mobile-view' : '') ?>">
                    	<div class="logo-bar-wrapper">
                            <div class="logo">
                                <?php
                                if(ozy_get_option('use_custom_logo') == '1') {
                                    echo '<a href="'. esc_url(get_home_url()) .'" id="logo">';
                                    echo '<img id="logo-default" src="'. ozy_get_option('custom_logo') .'" '. (ozy_get_option('custom_logo_retina') ? 'data-rjs="'. ozy_get_option('custom_logo_retina') .'"' : '') .' data-src="'. ozy_get_option('custom_logo') .'" alt="logo"/>';
                                    echo '</a>';										
                                }else{
                                     echo '<h1><a href="'. esc_url(home_url()) .'/" title="'. get_bloginfo('description') .'">'. get_bloginfo('name') .'</a></h1>';
                                }
                                ?>
                            </div>
                            <ul id="logo-side-info-bar">
								<?php
                                if(is_woocommerce_activated() && ozy_get_option('logo_side_info_active3' . $CURRENT_LANGUAGE) == '1') {
                                    global $woocommerce;
                                    echo '<li class="menu-item menu-item-wc ozy-ajax-shoping-cart">';
                                    echo '<div class="cart-contents"><i class="oic-flaticon5-ShoppingCart"></i><div><a href="'. esc_url(wc_get_cart_url()) .'" ><h4>'. esc_attr__('Shopping Bag', 'buildme') .'</h4><p>'. $woocommerce->cart->get_cart_total() .'</p></a></div></div>';
                                    echo '</li>';
                                }
								if(ozy_get_option('logo_side_info_active2') == '1') {
                                ?>
                                
                            	<li class="ozy-info-opening-times">
                                    <div>
                                        <i class="<?php echo esc_attr(ozy_get_option('logo_side_info_icon2' . $CURRENT_LANGUAGE)); ?>"></i>
                                        <div>
                                            <h4><?php echo ozy_get_option('logo_side_info_title2' . $CURRENT_LANGUAGE); ?></h4>
                                            <p><?php echo ozy_get_option('logo_side_info_value2' . $CURRENT_LANGUAGE); ?></p>
                                        </div>
									</div>
	                           </li>
                                <?php
								}
								if(ozy_get_option('logo_side_info_active1') == '1') {
								?>
                            	<li class="ozy-info-customer-support">
                                	<div>
                                        <i class="<?php echo esc_attr(ozy_get_option('logo_side_info_icon1' . $CURRENT_LANGUAGE)); ?>"></i>
                                        <div>
                                            <h4><?php echo ozy_get_option('logo_side_info_title1' . $CURRENT_LANGUAGE); ?></h4>
                                            <p><?php echo ozy_get_option('logo_side_info_value1' . $CURRENT_LANGUAGE); ?></p>
										</div>
                                    </div>
                                </li>
                                <?php
								}
								?>
                            </ul>
						</div>
                        <div class="primary-menu-bar-wrapper">
                        	<div>
                                <div id="head-mobile"></div>
                                <div class="menu-button"></div>
                                <?php
                                    $args = array(
                                        'menu_class' => '', 
                                        'container' => '',
                                        'fallback_cb' => true,								
                                        'walker' => new BootstrapNavMenuWalker
                                    );
                                    if (has_nav_menu('logged-in-menu') && has_nav_menu('header-menu')) {
                                        $args['theme_location'] = (is_user_logged_in() ? 'logged-in-menu' : 'header-menu');							
                                    }else{
                                        $ozy_data->custome_primary_menu = true; //if no location selected, make sure SEARCH button will be visible on menu
                                    }
                                    if(ozy_get_metabox('custom_menu') !== '-1' && ozy_get_metabox('custom_menu')) {
                                        $args['menu'] = ozy_get_metabox('custom_menu');
                                        $ozy_data->custome_primary_menu = true;
                                    }
                                    wp_nav_menu( $args );
                                ?>
							</div>
						</div>
                    </nav>
                </header>        
    
            </div><!--#header-->
                    
        <?php
		}
		
		global $ozy_data;
		if(isset($ozy_data->request_a_rate_form) && $ozy_data->request_a_rate_form) {
			echo '<div id="request-a-rate"><div class="heading-font">' . ($ozy_data->request_a_rate_character_issue === 'yes' ? ozy_htmlentitiesOutsideHTMLTags(do_shortcode($ozy_data->request_a_rate_form)) : do_shortcode($ozy_data->request_a_rate_form)) . '</div><a href="#close" class="close"><i class="oic-pe-icon-7-stroke-139">&nbsp;</i></a></div>';
		}
		
        ?>		